Get a contact's recent calls
const url = 'https://api.caller9.app/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calls';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calls \ --header 'Authorization: Bearer <token>'Returns the total number of calls with this contact’s number across all studios, plus the 5 most recent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Contact ID (UUID).
Responses
Section titled “Responses”Call summary.
object
A recent call involving a contact.
object
Call ID.
The Caller 9 phone number involved.
Example
{ "calls": [ { "direction": "inbound" } ]}Missing, invalid, expired or revoked API key.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Not found, or belongs to another organization.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Seconds until the rate-limit window resets.